{ pkgs, ... }: {
  services.postgresql = {
    enable = true;
    package = pkgs.postgresql_17.withPackages (ps: with ps; [
      pgvector
      vectorchord
    ]);
    ensureDatabases = [ "attic" "atticd" ];
    ensureUsers = [
      {
        name = "atticd";
        ensureDBOwnership = true;
      }
    ];
  };
}
